using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("用户部门关联表")]
    /// <summary>
    /// 用户
    /// </summary> 
    [Redis("ID")]
    public partial class T_FM_USER_DEPARTMENT : MesEntityBase
    {
        [DataFieldForeignKey("Nav_User")]
        [Description("用户ID")]
        /// <summary>
        /// 姓名
        /// </summary>
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("部门ID")]
        [DataFieldForeignKey("Nav_Department", "Nav_UserDeparts")]
        public Guid DEPARTMENT_ID { get; set; }

        [Description("导航：部门")]
        /// <summary>
        /// 部门
        /// </summary>
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("导航：用户")]
        /// <summary>
        /// 部门
        /// </summary>
        public virtual T_FM_USER Nav_User { get; set; }


    }
}
